Package org.springframework.beans.factory

# Class BeanDefinitionStoreException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.beans.BeansException
org.springframework.beans.FatalBeanException
org.springframework.beans.factory.BeanDefinitionStoreException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BeanDefinitionOverrideException`, `BeanDefinitionParsingException`, `XmlBeanDefinitionStoreException`

public class BeanDefinitionStoreException extends FatalBeanException
Exception thrown when a BeanFactory encounters an invalid bean definition: for example, in case of incomplete or contradictory bean metadata.

Author:
  Rod Johnson, Juergen Hoeller, Rob Harrop
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BeanDefinitionStoreException(String msg)`
Create a new BeanDefinitionStoreException.
`BeanDefinitionStoreException(String resourceDescription, String msg)`
Create a new BeanDefinitionStoreException.
`BeanDefinitionStoreException(String resourceDescription, String beanName, String msg)`
Create a new BeanDefinitionStoreException.
`BeanDefinitionStoreException(String resourceDescription, String beanName, String msg, Throwable cause)`
Create a new BeanDefinitionStoreException.
`BeanDefinitionStoreException(String resourceDescription, String msg, Throwable cause)`
Create a new BeanDefinitionStoreException.
`BeanDefinitionStoreException(String msg, Throwable cause)`
Create a new BeanDefinitionStoreException.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBeanName()`
Return the name of the bean, if available.
`String`
`getResourceDescription()`
Return the description of the resource that the bean definition came from, if available.

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BeanDefinitionStoreException

public BeanDefinitionStoreException(String msg)
Create a new BeanDefinitionStoreException.

Parameters:
  `msg` - the detail message (used as exception message as-is)

### BeanDefinitionStoreException

public BeanDefinitionStoreException(String msg, @Nullable Throwable cause)
Create a new BeanDefinitionStoreException.

Parameters:
  `msg` - the detail message (used as exception message as-is)
  `cause` - the root cause (may be `null`)

### BeanDefinitionStoreException

public BeanDefinitionStoreException(@Nullable String resourceDescription, String msg)
Create a new BeanDefinitionStoreException.

Parameters:
  `resourceDescription` - description of the resource that the bean definition came from
  `msg` - the detail message (used as exception message as-is)

### BeanDefinitionStoreException

public BeanDefinitionStoreException(@Nullable String resourceDescription, String msg, @Nullable Throwable cause)
Create a new BeanDefinitionStoreException.

Parameters:
  `resourceDescription` - description of the resource that the bean definition came from
  `msg` - the detail message (used as exception message as-is)
  `cause` - the root cause (may be `null`)

### BeanDefinitionStoreException

public BeanDefinitionStoreException(@Nullable String resourceDescription, String beanName, String msg)
Create a new BeanDefinitionStoreException.

Parameters:
  `resourceDescription` - description of the resource that the bean definition came from
  `beanName` - the name of the bean
  `msg` - the detail message (appended to an introductory message that indicates the resource and the name of the bean)

### BeanDefinitionStoreException

public BeanDefinitionStoreException(@Nullable String resourceDescription, String beanName, String msg, @Nullable Throwable cause)
Create a new BeanDefinitionStoreException.

Parameters:
  `resourceDescription` - description of the resource that the bean definition came from
  `beanName` - the name of the bean
  `msg` - the detail message (appended to an introductory message that indicates the resource and the name of the bean)
  `cause` - the root cause (may be `null`)

## Method Details

### getResourceDescription

@Nullable public String getResourceDescription()
Return the description of the resource that the bean definition came from, if available.

### getBeanName

@Nullable public String getBeanName()
Return the name of the bean, if available.